
#zipファイル解凍(全展開)
def sample1():
    import zipfile

    with zipfile.ZipFile( "./test1.zip", "r", zipfile.ZIP_DEFLATED) as zf:
        print( zf.printdir() )#ファイル一覧表示
        zf.extractall()

#ファイルの展開先を見る
def sample2():
    import zipfile

    with zipfile.ZipFile( "./test2.zip", "r", zipfile.ZIP_DEFLATED) as zf:
        zf.extract("test2/aaa.txt")
        zf.extract("test2/bbb.txt")

#ファイルの内容を見る
def sample3():
    import zipfile

    with zipfile.ZipFile( "./test2.zip", "r", zipfile.ZIP_DEFLATED) as zf:
        print( zf.read("test2/aaa.txt") )
        print( zf.read("test2/bbb.txt") )

#zipファイル内の格納ファイル一覧を見る
def sample4():
    import zipfile

    with zipfile.ZipFile( "./test1.zip", "r", zipfile.ZIP_DEFLATED) as zf:
        print( zf.printdir() )#ファイル一覧表示

#zipファイルフォルダ解凍(パスワード付き)
def sample5():
    import zipfile

    pwd = b"pass"
    with zipfile.ZipFile( "./test_pass.zip", "r", zipfile.ZIP_DEFLATED) as zf:
        zf.setpassword(pwd)
        zf.extractall()


if __name__ == "__main__":
    print("sample1:実行結果")
    sample1()
    print("sample2:実行結果")
    sample2()
    print("sample3:実行結果")
    sample3()
    print("sample4:実行結果")
    sample4()
    print("sample5:実行結果")
    sample5()
